<?php
/**
 * The template for displaying comments.
 *
 * This is the template that displays the area of the page that contains both the current comments
 * and the comment form.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package goldline
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>



<div id="comments" class="comments-area">
<div class="row">
<div class="col-lg-12 col-md-12">
	<?php // You can start editing here -- including this comment! ?>

	<?php if ( have_comments() ) : ?>
	 <div class="gl_comment_title">
		<h2 class="comments-title">
			<?php
				printf( // WPCS: XSS OK.
					esc_html( _nx( 'One Comment', '%1$s Comments', get_comments_number(), 'comments title', 'goldline' ) ),
					number_format_i18n( get_comments_number() )
				);
			?>
		</h2>
		</div>
		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // Are there comments to navigate through? ?>
		<nav id="comment-nav-above" class="navigation comment-navigation" role="navigation">
			<h2 class="screen-reader-text"><?php esc_html_e( 'Comment navigation', 'goldline' ); ?></h2>
			<div class="nav-links">

				<div class="nav-previous"><?php previous_comments_link( esc_html__( 'Older Comments', 'goldline' ) ); ?></div>
				<div class="nav-next"><?php next_comments_link( esc_html__( 'Newer Comments', 'goldline' ) ); ?></div>

			</div><!-- .nav-links -->
		</nav><!-- #comment-nav-above -->
		<?php endif; // Check for comment navigation. ?>
		<div class="gl_comments_area">
		<ol class="gl_comment_list"> 
			<?php
				wp_list_comments( array(
					'style'      => 'ol',
				'type' => true,
					'reply_text' => 'Reply',
					'callback'   => 'goldline_custom_comments',
				) );
				//wp_list_comments( 'type=comment&callback=goldline_custom_comments');
			?>
		</ol><!-- .comment-list -->
		</div>
	
		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // Are there comments to navigate through? ?>
		<nav id="comment-nav-below" class="navigation comment-navigation" role="navigation">
			<h2 class="screen-reader-text"><?php esc_html_e( 'Comment navigation', 'goldline' ); ?></h2>
			<div class="nav-links">

				<div class="nav-previous"><?php previous_comments_link( esc_html__( 'Older Comments', 'goldline' ) ); ?></div>
				<div class="nav-next"><?php next_comments_link( esc_html__( 'Newer Comments', 'goldline' ) ); ?></div>

			</div><!-- .nav-links -->
		</nav><!-- #comment-nav-below -->
		<?php endif; // Check for comment navigation. ?>

	<?php endif; // Check for have_comments(). ?>

	<?php
		// If comments are closed and there are comments, let's leave a little note, shall we?
		if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
	?>
		<p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'goldline' ); ?></p>
	<?php endif; ?>
	
		</div> 
</div>
</div><!-- #comments -->
<div class="row">
	<div class="col-lg-12 col-md-12">
		<div class="gl_comment_respond">
			 <div class="comment_replay_title">
					    <h3><?php _e('Leave a Comment', 'goldline'); ?></h3>
					  </div>
	
<?php
$commenter = wp_get_current_commenter();
$aria_req = ( $req ? " aria-required='true'" : '' );
$fields =  array(
    'author' => '<div class="col-lg-4 col-md-4 col-sm-4 padding_left"><div class="form-group"><input id="author" name="author" type="text"  placeholder="'.__('Your Name','goldline').'" class="form-control" value="' . esc_attr( $commenter['comment_author'] ).'" ' . $aria_req .'/></div></div>',
    'email'  => '<div class="col-lg-4 col-md-4 col-sm-4 padding_left padding_right"><div class="form-group"><input id="your_email" name="email" type="text" placeholder="'.__('Your Email','goldline').'" class="form-control" value="' . esc_attr( $commenter['comment_author_email'] ).'" ' . $aria_req .'/></div></div>',
	'url' =>
    '<div class="col-lg-4 col-md-4 col-sm-4 padding_right"><div class="form-group">' .
    '<input id="url" name="url" class="form-control margin_right" type="text" placeholder="'.__('Website','goldline').'" value="' . esc_attr( $commenter['comment_author_url'] ) .'" size="50" /></div></div>', 
);	
$comments_args = array(
  'fields' =>  $fields,
  'id_form'  => 'goldline_commentform',
  'comment_field'  => '<div class="col-lg-12 col-md-12 col-sm-12 padding_left padding_right"><div class="form-group"><textarea id="comment" name="comment" rows="3"  class="form-control custom-control" placeholder="'.__('your comment','goldline').'"></textarea></div></div>',
  'comment_notes_before'=>'',
  'comment_notes_after'=>'',
  'id_submit'=> 'commentform',
  'label_submit'=>__('send now','goldline'),
  'class_submit' => __('btn gold_btn','goldline'),
  'title_reply'=>'',  
); ?>

<div class="comment_contact_form">
<?php comment_form($comments_args);	?>	
</div>  
		</div>
	</div>
</div>
