<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package goldline
 */
global $goldline_option;
$favicon= '';
 if(isset($goldline_option['goldline_favicon']['url']) && !empty(
	$goldline_option['goldline_favicon']['url'])){
   $favicon = $goldline_option['goldline_favicon']['url'];
} else{ 
   $favicon = get_template_directory_uri() .'/images/Gold_line.png'; 
}
 
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php if(!function_exists( 'wp_site_icon' )){ ?>
<link rel="shortcut icon" href="<?php echo esc_url($favicon); ?>" />
<?php } ?> 
 
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
 <!--preloader start-->
 <?php 
 $loader = '';
 if(isset($goldline_option['goldline_loader']['url']) && !empty(
	$goldline_option['goldline_loader']['url'])){
   $loader = $goldline_option['goldline_loader']['url'];
} else{ 
   $loader = get_template_directory_uri() .'/images/loading.gif'; 
}
if(!isset($_REQUEST['post_type'])){
 if(is_home() || is_front_page()){
 if(isset($goldline_option['goldline_loader_switch']) && $goldline_option['goldline_loader_switch']){ ?> 
    <div id="preloader">
        <div id="status"><img src="<?php echo esc_url($loader); ?>" id="preloader_image" alt="loader">
        </div>
    </div>
 <?php } 
 }
}
 ?>
 
<?php get_template_part('include/goldline-header'); 
global $post;
$gl_banner_slider = '';
$gl_banner_slider = get_post_meta($post->ID, 'goldline_page_banner_slider', true);
 if(is_home()){
	if(isset($goldline_option['goldline_home_slider']) && $goldline_option['goldline_home_slider']){
		if($goldline_option['goldline_home_slider_name']==2){
			goldline_two_slide_slider();
		}else{
			goldline_one_slide_slider();
		}
	}
 }elseif(is_page() && $gl_banner_slider =='Slider'){
	$gl_slider = '';
	$gl_slider = get_post_meta($post->ID, 'goldline_page_slider', true);
	if($gl_slider=='Two Slide Slider'){
		goldline_two_slide_slider(); 
	}else{
		goldline_one_slide_slider();
	}

}else{
	goldline_breadcrumb();
}
?>