<?php
/* Theme option custom css */ 
add_action('wp_head','goldline_option_customcss');
if(!function_exists('goldline_option_customcss')){
	function goldline_option_customcss(){
		global $goldline_option;
		$css = $goldline_option['goldline_customcss'];
		if(!empty($css)) {
		echo "<!-- Custom CSS -->\n<style type=\"text/css\">\n" . $css . "\n</style>";
		} 
	}
}
/* search form */ 
if(!function_exists('goldline_header_search_form')){
	function goldline_header_search_form() {
		$form = '<form class="search-form" method="get" action="' .esc_url(home_url( '/' )) . '" >
			<div class="search-box">
				<input type="text" value="'.get_search_query().'" class="form-control search" placeholder="'.__('search for something','goldline').'" name="s"/>
			</div>
          </form>';
		return $form;
	}
}


/* Add sidebar search */

function goldline_search_form( $form ) {
	$form = '<form  method="get"  class="searchform" action="' . home_url( '/' ) . '" >
	<div>
	<div class="gl_search_wrapper">
	<input type="text" class="form-control" placeholder="search now" value="' . get_search_query() . '" name="s"  />
	</div>
	</div>
	</form>';

	return $form;
}
add_filter( 'get_search_form', 'goldline_search_form' );



/* Add Default Menu */ 
if(!function_exists('goldline_menu_editor')){
	function goldline_menu_editor($args){
		if ( ! current_user_can( 'manage_options' ) )
		{
			return;
		}
		// see wp-includes/nav-menu-template.php for available arguments
		extract( $args );
		$link = $link_before
			. '<a href="' .admin_url( 'nav-menus.php' ) . '">' . $before . 'Add a menu' . $after . '</a>'
			. $link_after;
		// We have a list
		if ( FALSE !== stripos( $items_wrap, '<ul' )
			or FALSE !== stripos( $items_wrap, '<ol' )
		) 
		{
			$link = "<li>$link</li>";
		}
		$output = sprintf( $items_wrap, $menu_id, $menu_class, $link );
		if ( ! empty ( $container ) )
		{
			$output  = "<$container class='$container_class' id='$container_id'>$output</$container>";
		} 
		if ( $echo )
		{
			echo $output;
		}
		return $output;
	}
}
/* goldline social */
if(!function_exists('goldline_social')){
	function goldline_social() {
		global $goldline_option;
		$facebook = $google = $twitter = $instagram = $linkedin = $tumblr = '';
		$youtube = $rss = $pinterest = '';
		if(isset($goldline_option['goldline_facebookurl'])&& $goldline_option['goldline_facebookurl']) {
		$facebook = $goldline_option['goldline_facebookurl'];
		}
		if(isset($goldline_option['goldline_googleurl'])&& $goldline_option['goldline_googleurl']) {
		$google = $goldline_option['goldline_googleurl'];
		}
		if(isset($goldline_option['goldline_twitterurl'])&& $goldline_option['goldline_twitterurl']) {
		$twitter = $goldline_option['goldline_twitterurl'];
		}
		if(isset($goldline_option['goldline_instagramurl'])&& $goldline_option['goldline_instagramurl']) {
		$instagram = $goldline_option['goldline_instagramurl'];
		}
		if(isset($goldline_option['goldline_linkedinurl'])&& $goldline_option['goldline_linkedinurl']) {
		$linkedin = $goldline_option['goldline_linkedinurl'];
		}
		if(isset($goldline_option['goldline_tumblrurl'])&& $goldline_option['goldline_tumblrurl']) {
		$tumblr = $goldline_option['goldline_tumblrurl'];
		}
		if(isset($goldline_option['goldline_youtubeurl'])&& $goldline_option['goldline_youtubeurl']) {
		$youtube = $goldline_option['goldline_youtubeurl'];
		}
		if(isset($goldline_option['goldline_rssurl'])&& $goldline_option['goldline_rssurl']) {
		$rss = $goldline_option['goldline_rssurl']; 
		}
		if(isset($goldline_option['goldline_pinteresturl'])&& $goldline_option['goldline_pinteresturl']) {
		$pinterest = $goldline_option['goldline_pinteresturl'];
		}
		?>
		<div class="gl_social">
			<ul>
				<?php 
				if(isset($goldline_option['goldline_socialheader'])&& $goldline_option['goldline_socialheader']) { 
					if(!empty($facebook)){ ?>
					<li><a href="<?php echo esc_url($facebook);?>"><i class="fa fa-facebook"></i></a></li>
					<?php }	if (!empty($twitter)){ ?>
					<li><a href="<?php echo esc_url($twitter);?>"><i class="fa fa-twitter"></i></a></li>
					<?php } if(!empty($linkedin)){ ?>		
					<li><a href="<?php echo esc_url($linkedin);?>"><i class="fa fa-linkedin"></i></a></li>
					<?php } if(!empty($google)){?>
					<li><a href="<?php echo esc_url($google);?>"><i class="fa fa-google"></i></a></li>
					<?php } if(!empty($instagram)) {?>
					<li><a href="<?php echo esc_url($instagram);?>"><i class="fa fa-instagram"></i></a></li>
					<?php } if(!empty($tumblr)) {?>
					<li><a href="<?php echo esc_url($tumblr);?>"><i class="fa fa-tumblr"></i></a></li>
					<?php } if(!empty($youtube)) {?>
					<li><a href="<?php echo esc_url($youtube);?>"><i class="fa fa-youtube"></i></a></li>
					<?php }  if(!empty($rss)) {?>
					<li><a href="<?php echo esc_url($rss);?>"><i class="fa fa-rss"></i></a></li>
					<?php } if(!empty($pinterest)) {?>
					<li><a href="<?php echo esc_url($pinterest);?>"><i class="fa fa-pinterest"></i></a></li>
					<?php } 
				}
				if(isset($goldline_option['goldline_search'])&& $goldline_option['goldline_search']) { 	?>
					<li class="gl_search"><a href="#"><i class="fa fa-search"></i></a>
						<div class="top_search_wrapper">
							<div class="top_search_form">
								<?php echo goldline_header_search_form(); ?>
								<span class="close_btn"><i class="fa fa-times"></i></span>
							</div>
						</div>
					</li>
				<?php  } ?>
			</ul>
		</div>
	<?php }
}
/*goldline post meta*/
if(!function_exists('goldline_post_meta')){
function goldline_post_meta(){ 
	global $post;
	$p_date = '';
	$p_date = get_the_date('j,F');
	$postdate = explode(',',$p_date); ?>
	<div class="post_data_wrapper">
		<span>
			<strong><?php echo esc_attr($postdate[0]); ?></strong>
			<small><?php echo esc_attr($postdate[1]); ?></small>
		</span>
		<div class="gl_post_data">
			<?php the_title( sprintf( '<h2><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
			<h4>
				<?php  esc_html_e('By','goldline'); 
				echo '<span class="pst_author"><a href="' . esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) . '">' . esc_html( get_the_author() ) . '</a></span>'; 
				$categories = get_the_category($post->ID); 
				$separator = ',';
				$output = '';
				if ( ! empty( $categories ) ) {
				foreach( $categories as $category ) {
					$output .= '<span class="pst_category"><a href="' . esc_url( get_category_link( $category->term_id ) ) . '" >' . esc_html( $category->name ) . '</a></span>' . $separator;
				}
				echo trim( $output, $separator );
				}
				$comments_count = wp_count_comments($post->ID);
				$p_comment = $comments_count->approved; ?>					
				<span class="pst_cmnt">
					<a href="<?php echo esc_url(get_comments_link( $post->ID )); ?>"><?php echo esc_attr($p_comment);
					esc_html_e(' Comments','goldline'); ?></a>
				</span>
			</h4>
		</div>
	</div> 
<?php } 
}
/*goldline post image*/
if(!function_exists('goldline_post_image')){
function goldline_post_image(){ 
global $post;
$mediatype = get_post_meta($post->ID, 'goldline_post_mediatype', true);
$img_w = '650';
$img_h = '322';
$oneimgs = get_post_meta($post->ID, 'goldline_postmul_oneimgs', true);
$postvideo = get_post_meta($post->ID, 'goldline_posturl_vimeo_youtube', true);
$oneimgs1 = get_post_meta($post->ID, 'goldline_postmul_oneimgs', true);
$oneimgs2 = get_post_meta($post->ID, 'goldline_postmul_twoimgs', true);
if(has_post_thumbnail($post->ID)){  
	?>
	<div class="post_img">
		<?php echo get_the_post_thumbnail( $post->ID, 'blog-default' ); ?>
	</div>
<?php }elseif($mediatype=='One Slider' && !empty($oneimgs)){
    $img = explode(',',$oneimgs);	
    if(count($img)>1){
	 ?>
	<div class="post_slider">
		<div class="owl-carousel owl-theme">
			<?php 	
			for( $i=0; $i<count($img); $i++ ) {
			$imaurl = goldline_resize($img[$i], $img_w, $img_h, true); ?>
			<div class="item">
				<img src="<?php echo esc_url($imaurl); ?>" alt="">
			</div>
			<?php } ?>
			 
		</div>  
	</div> 
	<?php }else{ 
	      $imgs1_single = goldline_resize($img[0], $img_w, $img_h, true);	?>
			<div class="post_img"><img src="<?php echo esc_url($imgs1_single); ?>" class="img-responsive" alt="" /></div>	
			<?php }	?>
<?php }elseif($mediatype=='Two Slider' && ($oneimgs1 || $oneimgs2)){  ?>
	<div class="row">
	<?php if(!empty($oneimgs1)) { ?>
		<div class="col-lg-6 col-md-6">
			<?php 
			$imgs1 = explode(',',$oneimgs1);
			if(count($imgs1)>1){ ?>
			<div class="gl_post_slider2">			  
				<div class="gl_main_slider">
					<div class="owl-carousel owl-theme">
					<?php 	
					for( $i=0; $i<count($imgs1); $i++ ) {
					$imaurls1 = goldline_resize($imgs1[$i], '310', '252', true); ?>
					<div class="item"><div class="gl_baner_content">
						<img src="<?php echo esc_url($imaurls1); ?>" alt="">
					</div></div>
					<?php } ?>
					</div>
				</div>
			</div>
			<?php }else{ 
			$imgs1_single = goldline_resize($imgs1[0], '310', '252', true);	?>
			<div class="post_img"><img src="<?php echo esc_url($imgs1_single); ?>" alt="" class="img-responsive"/></div>	
			<?php }	?>
			</div>
	<?php }   if(!empty($oneimgs2)) { ?>
		<div class="col-lg-6 col-md-6">
			<?php 
			$imgs2 = explode(',',$oneimgs2);
			if(count($imgs2)>1){ ?>
			<div class="gl_post_slider2">			  
			<div class="gl_main_slider">
				<div class="owl-carousel owl-theme">
				<?php 	
				for( $i=0; $i<count($imgs2); $i++ ) {
				$imaurls2 = goldline_resize($imgs2[$i], '310', '252', true); ?>
				<div class="item"><div class="gl_baner_content">
					<img src="<?php echo esc_url($imaurls2); ?>" alt="">
				</div></div>
				<?php } ?>
				</div>
			</div>
			</div>
			<?php }else{ 
			$imgs2_single = goldline_resize($imgs2[0], '310', '252', true);
			?>
			<div class="post_img"><img src="<?php echo esc_url($imgs2_single); ?>" class="img-responsive" alt=""/></div>	
			<?php } ?>
		</div>
	<?php } ?>
	</div> 
<?php }elseif($mediatype=='Video' && !empty($postvideo)){ ?>
<div class="gl_video_wrapper">	
	<iframe width="800" height="340" src="<?php echo esc_url($postvideo); ?>"></iframe>
</div>
<?php }
 
 } 
} 

/*goldline post gridview*/

if(!function_exists('goldline_post_listview')){
function goldline_post_listview($img_w = 358,$img_h = 285){ 
global $post;
$mediatype = get_post_meta($post->ID, 'goldline_post_mediatype', true);
$oneimgs = get_post_meta($post->ID, 'goldline_postmul_oneimgs', true);
$postvideo = get_post_meta($post->ID, 'goldline_posturl_vimeo_youtube', true);
if(has_post_thumbnail($post->ID)){ 
	if(isset($id)){
		echo get_the_post_thumbnail($id, 'full' );
	}
	?>
	<div class="gl_gallery_img">
		<?php echo get_the_post_thumbnail( $post->ID, 'blog-list' ); ?>
	</div>
<?php }elseif($mediatype=='One Slider' || $mediatype=='Two Slider'){ 
	if(!empty($oneimgs)) {
		$img = explode(',',$oneimgs);
		if(count($img)>1){		?>
			<div class="gl_main_slider">
				<div class="owl-carousel owl-theme">
					<?php
					for( $i=0; $i<count($img); $i++ ) {
					$imaurl = goldline_resize($img[$i], $img_w, $img_h, true); ?>
					<div class="item">
						<img src="<?php echo esc_url($imaurl); ?>" alt="">
					</div>
					<?php } ?>
				</div>  
			</div> 
		<?php } else{ 
			$imgs1_single = goldline_resize($img[0], $img_w, $img_h, true);
			?>
			<div class="gl_gallery_img">
				<img src="<?php echo esc_url($imgs1_single); ?>" class="img-responsive" alt=""/>
			</div>
	<?php	} //end else 
	 } // end if ?>
<?php }elseif($mediatype=='Video' && !empty($postvideo)){ ?>
<div class="gl_video_wrapper">	
	<iframe width="<?php echo esc_attr($img_w); ?>" height="<?php echo esc_attr($img_h); ?>" src="<?php echo esc_url($postvideo); ?>"></iframe>
</div>
<?php }
 
 } 
}

/*goldline post */
if(!function_exists('goldline_footer_recent_post')){
function goldline_footer_recent_post($img_w = 80,$img_h = 80){ 
global $post;
$mediatype = get_post_meta($post->ID, 'goldline_post_mediatype', true);
$oneimgs = get_post_meta($post->ID, 'goldline_postmul_oneimgs', true);
$postvideo = get_post_meta($post->ID, 'goldline_posturl_vimeo_youtube', true);
if(has_post_thumbnail($post->ID)){  
	$a_id = get_post_thumbnail_id($post->ID);
	$a_url = wp_get_attachment_url($a_id, 'full'); 
	$img_src = goldline_resize($a_url,$img_w,$img_h);
	?>
	<div class="tab_img_wrapper">
		<img src="<?php echo esc_url($img_src); ?>" alt=""/>
	</div>
<?php }elseif($mediatype=='One Slider' || $mediatype=='Two Slider'){ 
	if(!empty($oneimgs)) {
		$img = explode(',',$oneimgs);
			$imgs1_single = goldline_resize($img[0], $img_w, $img_h, true);
			?>
			<div class="tab_img_wrapper">
				<img src="<?php echo esc_url($imgs1_single); ?>" alt="">
			</div>
	<?php	} //end else 
	 } // end if ?>
<?php }

}

/* the excerpt */
add_filter('the_excerpt', 'do_shortcode');
remove_filter('get_the_excerpt', 'wp_trim_excerpt', 10);
add_filter('get_the_excerpt', 'goldline_trim_excerpt', 99, 1);
if(!function_exists('goldline_trim_excerpt')){
function goldline_trim_excerpt($text) {
    if(''==$text) {
        $text= preg_replace('/\s/', ' ', wp_strip_all_tags(get_the_content('')));
        $text= explode(' ', $text, 56);
        array_pop($text);
        $text= implode(' ', $text);
    }
    return $text;
} 
} 
/*goldline comment*/
if(!function_exists('goldline_custom_comments')){
function goldline_custom_comments($comment, $args, $depth){ 
	$GLOBALS['comment'] = $comment;
	extract($args, EXTR_SKIP);
	if ( 'div' == $args['style'] ) {
		$tag = 'div';
		$add_below = 'comment';
	}else{
		$tag = 'li';
		$add_below = 'div-comment';
	}
?>
	<<?php echo esc_attr($tag); ?> <?php comment_class('gl_comment'); ?> id="comment-<?php comment_ID() ?>">
	<?php if ( 'div' != $args['style'] ) : ?>
	<div id="div-comment-<?php comment_ID() ?>" class="gl_comment_body">
	<?php endif; ?>
		
          <div class="gl_author_img"> <?php echo get_avatar($comment,$size='120') ?>
		  </div>
		 
            <div class="gl_comment-metadata"> <a href="<?php echo esc_url(get_comment_link()); ?>">
              <h3><?php echo esc_attr($comment->comment_author); ?></h3>
              </a>
            
			<div class="comment-details">
            <?php if ( $comment->comment_approved == '0' ) { ?>
			<p><?php _e( 'Your comment is awaiting moderation.','goldline' ); ?></p>
			<br />
			<?php }else{ ?>		
			<?php echo esc_attr( comment_text()); } ?>
			
			<h4><?php esc_html_e('Posted On :','goldline'); ?> <a href="#"><?php echo  esc_attr( get_comment_date() );
			   echo  _e(' at ','goldline');
			  comment_time('H:i:a')  ?></a></h4>
			  <span class="comment_reply"><?php comment_reply_link( array_merge( $args, array(  'add_below' => $add_below,'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?></span>
			  
            </div>
			
			 
			  
			</div>
        
		
	<?php if ( 'ul' != $args['style'] ) : ?>
	</div>
	<?php endif; ?>
	
	<?php
}
}
/* get sidebar position */
if(!function_exists('goldline_get_sidebar_position')){
	function goldline_get_sidebar_position(){
		global $post;
		if(is_page()){
			$position = get_post_meta($post->ID, 'goldline_page_sidebarposition', true);
		}elseif(is_single()){
			$position = get_post_meta($post->ID, 'goldline_post_sidebarposition', true);
		}else{ 
			global $goldline_option;
			if(isset($goldline_option['goldline_default_sidebarposition'])){
					$position = $goldline_option['goldline_default_sidebarposition'];
			} 
		}
		if(empty($position)){
			$position = 'right';
		}	
		return $position;
	}
}
/* get sidebar position */
if(!function_exists('goldline_breadcrumb')){
	function goldline_breadcrumb(){
		global $post;
		global $goldline_option;
		$bg_img ='';   
		if(isset($goldline_option['goldline_banner_image']['url']) && !empty($goldline_option['goldline_banner_image']['url'])){
		$bg_img = $goldline_option['goldline_banner_image']['url'];
		}else{
			$bg_img = get_template_directory_uri() .'/images/bread_wrapper.jpg';
		}
		?>
		<!--Breadcrums section start-->
	<div class="gl_bread" style="background-image: url(<?php echo esc_url($bg_img); ?>);">
	  <div class="container">
	    <div class="row">
		  <div class="col-lg-12 col-md-12">
		    <div class="gl_page_title">
			  <ol class="breadcrumb">
				  <?php 
				  if (is_home()) {
					 echo '<li><a href="'.esc_url(home_url('/')).'">'.__('Home','goldline').'</a></li>';								
				   }
				  if (!is_home()) {
					echo '<li><a href="'.esc_url(home_url('/')).'">'.__('Home','goldline').'</a></li>';
					if (is_category() || is_single()) {
						echo '<li>';
							$arr = get_the_category($post->ID);
							if(empty($arr)){
							echo '<a href="'.esc_url(site_url().'/?post_type='.get_post_type($post->ID)).'">'.esc_attr(get_post_type($post->ID)).'</a>';
							}else{
							the_category(' </li><li> ');
							}
							if (is_single()) {
							echo '</li><li>';
							the_title(); 
							echo '</li>';
							}
						} elseif (is_page()) {
							if($post->post_parent){
								$anc = get_post_ancestors( $post->ID );
								$title = get_the_title($post->ID);
								foreach ( $anc as $ancestor ) {
								  echo '<li><a href="'.esc_url(get_permalink($ancestor)).'" title="'.esc_attr(get_the_title($ancestor)).'">'.esc_attr(get_the_title($ancestor)).'</a></li> ';
								}
								echo '<li>'.esc_attr($title).' '.esc_attr($title).'</li>';
							} else {
							 echo '<li>'.esc_attr(get_the_title($post->ID)).'</li>';
							}
						}
					}
					elseif (is_tag()) {single_tag_title();}
					elseif (is_day()) { echo '<li>'.__('Archive for','goldline'); the_time(get_option( 'date_format' )); echo'</li>';}
					elseif (is_month()) { echo '<li>'.__('Archive for','goldline'); the_time(get_option( 'date_format' )); echo'</li>';}
					elseif (is_year()) { echo '<li>'.__('Archive for','goldline'); the_time(get_option( 'date_format' )); echo'</li>';}
					elseif (is_author()) { echo '<li>'.__('Author Archive','goldline'); echo'</li>';}
					elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { echo '<li>'.__('Blog Archives','goldline'); echo'</li>';}
					elseif (is_search()) { echo '<li>'.__('Search Results','goldline'); echo'</li>';}
				  
				  ?>
              </ol>
			</div>
		  </div>
		</div>
	  </div>
	  <div class="gl_bread_overlay"></div>
	</div>
<!--Breadcrums section end-->
	<?php }
}

/* send mail */
add_action( 'wp_ajax_goldline_sndadminmail', 'goldline_sndadminmail' );
add_action( 'wp_ajax_nopriv_goldline_sndadminmail', 'goldline_sndadminmail' );
function goldline_sndadminmail(){
	global $goldline_option;
	$message = ''; 
	$to = $goldline_option['goldline_contactemail_addrs'];
	$from = $goldline_option['goldline_fromaddrs'];
	if(isset($_POST['name'])){
		$nm = $_POST['name'];
		$message .= "NAME : ".$_POST['name']."\n";
	}
	if(isset($_POST['email'])){
		$email = $_POST['email'];
		$message .= "EMAIL : ".$_POST['email']."\n";
	}
	if(isset($_POST['phono'])){
		$phone = $_POST['phono'];
		$message .= "NUMBER : ".$_POST['phono']."\n";
	}
	if(isset($_POST['subject'])){ 
		$subject = $_POST['subject'];
		$message .= "SUBJECT : ".$_POST['subject']."\n";
	}
	if(isset($_POST['Message'])){
		$meg = $_POST['Message'];
		$message .= "MESSAGE : ".$_POST['Message'];
	}
	$message .= "\n\n";
	$header = "From: ".esc_attr($from)."\r\n"; 
	$header.= "MIME-Version: 1.0\r\n"; 
	$header.= "Content-Type: text/plain; charset=utf-8\r\n"; 
	$header.= "X-Priority: 1\r\n"; 
	$sub = $goldline_option['goldline_mailsubject'];
	if(mail($to,$sub,$message,$header)){ 
		$meg = $goldline_option['goldline_successmessage'];
	}
	else{
		$meg = "Sorry. your mail has not been send successfully."; 
	}
	echo esc_attr($meg);
	die();
}
/* goldline one slide slider */
if(!function_exists('goldline_one_slide_slider')){
	function goldline_one_slide_slider(){
		global $goldline_option;		
		if (isset($goldline_option['goldline_oneslide']) && !empty($goldline_option['goldline_oneslide'])) {
			$one_slide = $img = '';
			$one_slide = $goldline_option['goldline_oneslide'];
			//print_r($one_slide);
		?>
		<div class="gl_banner gl_full_banner">
		<div class="container">
		<div class="row">
		<div class="gl_banner_wrapper">
			<div class="col-lg-12 col-md-12">
				<div class="gl_full_slider">
					<div class="post_slider">
					<div  class="owl-carousel owl-theme">
						<?php for($i = 0; $i<count($one_slide); $i++){
						$img = goldline_resize($one_slide[$i]['image'], 1140, 360, true);
						?>
						<div class="item">
						<img src="<?php echo esc_url($img); ?>" alt="">
						</div>
						<?php } ?> 
					</div>
					</div>
				</div>
			</div>
			<div class="gl_blog_overlay">
				<div class="gl_box1"></div>
				<div class="gl_box2"></div>
				<div class="gl_box3"></div>
				<div class="gl_box4"></div>
				<div class="gl_overlay_detail">
				<?php $overlay_img = get_template_directory_uri() .'/images/shape.png'; ?>
					<div class="gl_shape"><img src="<?php echo esc_url($overlay_img); ?>" alt=""></div>
					<?php if (isset($goldline_option['goldline_oneslide_title']) && !empty($goldline_option['goldline_oneslide_title'])) { ?>
					<h2><?php echo esc_html($goldline_option['goldline_oneslide_title']); ?></h2>
					<?php } ?>
					<?php if (isset($goldline_option['goldline_oneslide_description']) && !empty($goldline_option['goldline_oneslide_description'])) { ?>
					<p class="overlay_para"><?php echo esc_html($goldline_option['goldline_oneslide_description']); ?></p>
					<?php } ?>
					<?php if (isset($goldline_option['goldline_oneslide_rurl']) && !empty($goldline_option['goldline_oneslide_rurl'])) { 
					$oneslide_rtext = '';
					if (isset($goldline_option['goldline_oneslide_rtext']) && !empty($goldline_option['goldline_oneslide_rtext'])) {
						$oneslide_rtext = $goldline_option['goldline_oneslide_rtext'];
					} ?>
					<p> <a href="<?php echo esc_url($goldline_option['goldline_oneslide_rurl']); ?>"><?php echo esc_html($oneslide_rtext); ?><i class="fa fa-long-arrow-right"></i></a> </p>
					<?php } ?>
				</div>
			</div>
			
		</div>
		</div>
		</div>
		</div>
		<?php } 
	}
}
/* two slide slider */

/* goldline two slide slider */
if(!function_exists('goldline_two_slide_slider')){
	function goldline_two_slide_slider(){
		global $goldline_option;	 
		?>		
<div class="gl_banner">
  <div class="container">
    <div class="row">
		<div class="gl_banner_wrapper">
			<?php   if (isset($goldline_option['goldline_twoslide1']) && !empty($goldline_option['goldline_twoslide1'])) {
			$twoslide1 = $img1 = '';
			$twoslide1 = $goldline_option['goldline_twoslide1'];
			?>  
			<div class="col-lg-6 col-md-6">
				<div class="gl_main_slider">
					<div  class="owl-carousel owl-theme">
					<?php for($i = 0; $i<count($twoslide1); $i++){
					$img1 = goldline_resize($twoslide1[$i]['image'], 555, 379, true);
					?> 
					<div class="item">
						<div class="gl_baner_content"> <img src="<?php echo esc_url($img1); ?>" alt="">
							<div class="gl_overlay">
								<div class="gl_slider_content">
									<h2><?php echo esc_html($twoslide1[$i]['title']); ?></h2>
									<div class="gl_border"></div>
									<p><?php echo esc_html($twoslide1[$i]['description']); ?></p>
								</div>
							</div>
						</div>
					</div>
					<?php } ?>
					</div>
				</div>
			</div>
			<?php }if (isset($goldline_option['goldline_twoslide2']) && !empty($goldline_option['goldline_twoslide2'])) { 
			$twoslide2 = $img2 = '';
			$twoslide2 = $goldline_option['goldline_twoslide2'];
			?>
			<div class="col-lg-6 col-md-6">
				<div class="gl_main_slider">
					<div class="owl-carousel owl-theme">
					<?php for($j = 0; $j<count($twoslide2); $j++){
					$img2 = goldline_resize($twoslide2[$j]['image'], 555, 379, true);
					?>
					<div class="item">
						<div class="gl_baner_content"> <img src="<?php echo esc_url($img2); ?>" alt="">
							<div class="gl_overlay">
								<div class="gl_slider_content">
									<h2><?php echo esc_html($twoslide2[$j]['title']); ?></h2>
									<div class="gl_border"></div>
									<p><?php echo esc_html($twoslide2[$j]['description']); ?></p>
								</div>
							</div>
						</div>
					</div>
					<?php } ?>
					</div>
				</div>
			</div>
			<?php } ?>
			<div class="gl_blog_overlay">
				<div class="gl_box1"></div>
				<div class="gl_box2"></div>
				<div class="gl_box3"></div>
				<div class="gl_box4"></div>
				<div class="gl_overlay_detail"> 
				<?php $overlay_img = get_template_directory_uri() .'/images/shape.png'; ?>
				<div class="gl_shape"><img src="<?php echo esc_url($overlay_img); ?>" alt=""></div>
				<?php if (isset($goldline_option['goldline_twoslide_title']) && !empty($goldline_option['goldline_twoslide_title'])) { ?>
				<h2><?php echo esc_html($goldline_option['goldline_twoslide_title']); ?></h2>
				<?php } ?>
				<?php if (isset($goldline_option['goldline_twoslide_description']) && !empty($goldline_option['goldline_twoslide_description'])) { ?>
				<p class="overlay_para"><?php echo esc_html($goldline_option['goldline_twoslide_description']); ?></p>
				<?php } ?>
				<?php if (isset($goldline_option['goldline_oneslide_rurl']) && !empty($goldline_option['goldline_oneslide_rurl'])) { 
				$twoslide_rtext = '';
				if (isset($goldline_option['goldline_twoslide_rtext']) && !empty($goldline_option['goldline_twoslide_rtext'])) {
				$twoslide_rtext = $goldline_option['goldline_twoslide_rtext'];
				} ?>
				<p> <a href="<?php echo esc_url($goldline_option['goldline_twoslide_rurl']); ?>"><?php echo esc_html($twoslide_rtext); ?><i class="fa fa-long-arrow-right"></i></a> </p>
				<?php } ?>
				</div>
			</div>
		</div>
    </div>
  </div>
</div>
<!--Blog_section_start-->
		<?php } 
}
function goldline_getPostViews($postID){
    $count_key = 'post_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
        return "0 View";
    }
    return $count.' Views';  
}
function goldline_setPostViews($postID) { 
    $count_key = 'post_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        $count = 0;
        delete_post_meta($postID, $count_key); 
        add_post_meta($postID, $count_key, '0');
    }else{
        $count++;
        update_post_meta($postID, $count_key, $count);
    }
}   
