<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package goldline
 */

get_header(); ?>
<!--Blog_section_start-->
<div class="gl_post_wrapper margin_top50">
	<div class="container">
		<div class="row">
			
			<div class="col-lg-7 col-md-7">
				<?php if ( have_posts() ) : ?>

			<?php /* Start the Loop */ ?>
			<?php while ( have_posts() ) : the_post(); ?>

				<?php

					/*
					 * Include the Post-Format-specific template for the content.
					 * If you want to override this in a child theme, then include a file
					 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
					 */
					get_template_part( 'template-parts/content', get_post_format() );
				?>

			<?php endwhile; ?>

		<?php else : ?>

			<?php get_template_part( 'template-parts/content', 'none' ); ?>

		<?php endif; ?>
			</div>
			
			<div class="col-lg-5 col-md-5">
				<div class="gl_sidebar">
					<?php get_sidebar(); ?>
				</div>
			</div>
			
			
		</div>
		<div class="row">
		  <div class="col-lg-8 col-lg-offset-2 col-md-8 col-md-offset-2 col-sm-12">
		    <?php  goldline_pagination(); ?>
		  </div>
		</div><!-- page-->
	</div>  
</div>


<?php get_footer(); ?>
